### Method

# Handy Deck get_adjacent_child

#### Declaration [src]

    GtkWidget*
    hdy_deck_get_adjacent_child (
      HdyDeck* self,
      HdyNavigationDirection direction
    )

#### Description [src]

Finds the previous or next navigatable child.

Gets the previous or next child. This will be the same widget `hdy_deck_navigate()` will navigate to.

If there’s no child to navigate to, `NULL` will be returned instead.

Available since: | 1.0

#### Parameters

`direction` | `HdyNavigationDirection`
| The direction.

#### Return value

Returns: | `GtkWidget`
| The previous or next child.
| The data is owned by the instance.
| The return value can be `NULL`.